Bug 479067 - cut out redundant support in intel and i810 driver
cut out redundant support in intel and i810 driver
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-i810 (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Adam Jackson
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-06 15:42 EST by Cameron Meadors
Modified: 2009-09-02 07:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
the graphics cards supported by the two drivers in this package overlap considerably. Previously, this created confusion for users as they selected the driver to use with a particular card. A preferred driver is now specified for each card, and if users select the non-preferred option, they receive a warning that the particular combination of card and driver is not a supported configuration. This clarifies the use of the drivers in this package. Existing configurations will continue to function, regardless of the combination of card and driver.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:56:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cameron Meadors 2009-01-06 15:42:05 EST
The cards that i810 and intel driver support overlap greatly.  I would like to request that we make the drivers exclusive so that only one driver supports any one intel graphic card.  I leave it up to the X developers to decide which driver supports which card.  This has been discussed previously but never made "official" with a bug.
Comment 1 Matěj Cepl 2009-01-20 12:17:23 EST
Are you aware of the fact that i810 driver is just a symlink to intel?

[matej@viklef ~]$ cd  /usr/lib/xorg/modules/drivers/
[matej@viklef drivers]$ ls -l i*
-rwxr-xr-x 1 root root 523364  2. pro 06.46 intel_drv.so
lrwxrwxrwx 1 root root     12  7. pro 20.31 i810_drv.so -> intel_drv.so
[matej@viklef drivers]$
Comment 2 Matěj Cepl 2009-01-20 12:18:01 EST
(this is on Fedora 10)
Comment 3 Zack Cerza 2009-01-20 13:12:45 EST
Er, well, this bug is filed on RHEL5.

[root@localhost /]# cd /usr/lib64/xorg/modules/drivers/
[root@localhost drivers]# ls -l i*
-rwxr-xr-x 1 root root 310408 Dec  8 10:55 i810_drv.so
-rwxr-xr-x 1 root root 454184 Dec  8 10:55 intel_drv.so
-rwxr-xr-x 1 root root   7672 Dec  8 10:55 ivch.so
[root@localhost drivers]# rpm -qf i*
xorg-x11-drv-i810-1.6.5-9.21.el5
xorg-x11-drv-i810-1.6.5-9.21.el5
xorg-x11-drv-i810-1.6.5-9.21.el5
Comment 5 RHEL Product and Program Management 2009-03-11 11:38:57 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Zack Cerza 2009-03-24 13:16:18 EDT
Acked. Could we get a chip -> driver mapping pasted into this bug?
Comment 7 Adam Jackson 2009-05-14 13:33:08 EDT
After some discussion, it was decided not to actively drop code from either driver, as some customers are already running eg. intel on i830 chips, and the risk of breakage in migrating their configurations was too high.  Instead the drivers will print a warning indicating that they are running in an unsupported configuration.  QA will not be expected to test unsupported configs of the i810 and intel drivers.

The canonical chip->driver mapping lives in i810.xinf in the xorg-x11-drv-i810 package, but the human-readable version is:

i810: i810, i810E, I810 DC100, i815, i830, 845G, 855GM, and 865G
intel: everything else

Built as 1.6.5-9.25.el5

MODIFIED
Comment 11 Ruediger Landmann 2009-08-22 05:08:39 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
the graphics cards supported by the two drivers in this package overlap considerably. Previously, this created confusion for users as they selected the driver to use with a particular card. A preferred driver is now specified for each card, and if users select the non-preferred option, they receive a warning that the particular combination of card and driver is not a supported configuration. This clarifies the use of the drivers in this package. Existing configurations will continue to function, regardless of the combination of card and driver.
Comment 12 errata-xmlrpc 2009-09-02 07:56:08 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1391.html

Note You need to log in before you can comment on or make changes to this bug.